Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157811 - Postfix does not deliver mail; errors on console
Summary: Postfix does not deliver mail; errors on console
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-16 03:15 UTC by David Orme
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 527124 (view as bug list)
Environment:
Last Closed: 2005-09-30 16:06:48 UTC


Attachments (Terms of Use)

Description David Orme 2005-05-16 03:15:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050509 Fedora/1.0.3-5 Firefox/1.0.3

Description of problem:
[djo@peanut ~]$ mail djo
Subject: test message
This is a test.
Cc:
[djo@peanut ~]$ postdrop: warning: unable to look up public/pickup: No such file or directory

(and the mail is never delivered)

[root@peanut djo]# cat /var/log/maillog
May 15 09:04:22 peanut postfix/postdrop[19447]: warning: unable to look up public/pickup: No such file or directory
May 16 02:26:54 peanut postfix/postdrop[10125]: warning: unable to look up public/pickup: No such file or directory
May 16 02:27:36 peanut postfix/postdrop[10138]: warning: unable to look up public/pickup: No such file or directory
May 16 02:28:19 peanut postfix/postdrop[10151]: warning: unable to look up public/pickup: No such file or directory
May 16 02:28:38 peanut postfix/postdrop[10173]: warning: unable to look up public/pickup: No such file or directory
May 16 02:30:50 peanut postfix/postdrop[10242]: warning: unable to look up public/pickup: No such file or directory
May 16 02:55:10 peanut postfix/postdrop[11116]: warning: unable to look up public/pickup: No such file or directory
[root@peanut djo]#



Version-Release number of selected component (if applicable):
postfix-2.2.2-2

How reproducible:
Always

Steps to Reproduce:
Exact commands given in Description.

When I installed FC4-test3, I explicitly removed exim and added Postfix in the installer.  I did *not* install exim, then remove it and install Postfix, or install both and then remove exim or anything like that.


Actual Results:  See above.  Note also that the sent email is not bounced (the bounce couldn't be delivered) so the email is just lost.

Expected Results:  The mail should have been delivered.

Additional info:

Comment 1 Thomas Woerner 2005-06-21 10:14:30 UTC
Please run a rpm install test of the postfix package with "rpm -V postfix".

If there are no errors (output), then check if postfix is activated with
"alternatives --config mta".



Comment 2 Thomas Woerner 2005-09-30 16:06:48 UTC
Closing due to user inactivity as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.